List Payments

Retrieves a list of payments based on the provided query parameters

Query parameters

merchantIdslist of stringsRequired
Array of merchant IDs to retrieve payments for

Response

Payments retrieved successfully
currentStatestring
Current transaction state
previousStateslist of strings
Array of previous transaction states
processorstring
Payment processor used for the transaction
merchantNamestring
Merchant name
transactionIdstring
Unique transaction identifier
amountdouble
Transaction amount
transactionTypestring
Transaction type
paymentMethodIdstring
Payment method identifier
currencystring
Transaction currency
merchantReferencestring
Merchant reference
transactionStateslist of objects
Detailed transaction state history
paymentAttributesmap from strings to stringsOptional

Payment-specific attributes and metadata

identifiersmap from strings to stringsOptional
Additional transaction identifiers
paymentInstrumentobjectOptional
Card payment instrument details
processorReferencestringOptional
Payment processor reference
financialTransactionReferencestringOptional
Financial transaction reference from the processor
currentAttemptIdstringOptional
Current attempt identifier
batchPayoutIdstringOptional
Batch payout identifier, if the transaction is part of a batch payout
senderobjectOptional
Sender details for a payout transaction
recipientobjectOptional
Recipient details for a payout transaction
collectionobjectOptional

Monetary amount as a decimal-string major unit + currency code

fxMidRatestringOptionalformat: "^\d+(\.\d+)?$"

Spot mid-market rate at the time the quote was committed (8 decimal places).

fxAllInRatestringOptionalformat: "^\d+(\.\d+)?$"

Mid rate + markup — the rate actually applied to convert source to collection (8 decimal places).

fxMarkupBpsintegerOptional>=0

Markup applied in basis points (0–10000).

fxFeeobjectOptional

Monetary amount as a decimal-string major unit + currency code

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error